跳转到内容
打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
登录后可编辑和发表评论。

Template:Billboard/bricks/style.css

模板页面
/* 设置容器样式 */
.song-container {
  display: flex;
  flex-wrap: nowrap;
  /* 使用flex布局 */
  max-width:50em;
  align-items: center;
  /* 垂直居中对齐 */
  border-bottom: 1px solid #ccc;
  /* 底部边框 */
  padding:0.5em;
  margin-bottom:6px;
  background-color: white;
}

.image-container {
  flex:0 1 202px;
  margin:0px 10px 0px 0px;
  min-width: 101px;
}

.info {
  flex: 1 0 245px;
}

/* 设置信息行样式 */
.info-row {
  display: flex;
  margin-bottom: 5px;
  align-items: flex-end;
  /* 行间距 */
}

.rank {
  width: 1.4em;
  height: 1.4em;
  background-color: #888;
  font-size: 30px;
  text-align: center;
  color: white;
  border: #ccc solid 2px;
  line-height: 1.4em; /* 与正方形的高度相等 */
}

.rank_item {
  text-align: center;
  padding: 0 0.1em;
  margin: 0 0 0 0;
  max-width: 55px;
  display: flex;
  flex-direction: column;
  align-items: center;

}

.item_number {
  font-size: 20px;
  text-align: center;
  border: #ccc solid 2px;
  width: 1.3em;
  height: 1.3em;
  line-height: 1.3em;
}

.item_text {
  font-size: 13px;
  
}

.change {
  padding:0 0.5em;
  margin: 0 0px 0 0px;
  font-size: large;
  text-align: center;
  font-size: 30px;
}

/* 设置标题样式 */
.title {
  font-size:20px;
  font-weight: bold;
  /* 加粗 */
  padding: 5px 0px 0px 0px;
  line-height: 1;
}

/* 设置作者样式 */
.author {
  color: #888;
  /* 灰色字体 */
}
/* [[分类:在模板命名空间下的CSS页面]] */